be.ehealth.technicalconnector.config

## Interface ConfigurationModule

- All Known Implementing Classes:
    ConfigurationModuleBeidNet, ConfigurationModuleBootstrap, ConfigurationModuleClassloader, ConfigurationModuleDefaultLanguage, ConfigurationModuleEhealthTime, ConfigurationModuleEndpointDistributor, ConfigurationModuleHostNameVerifier, ConfigurationModuleLogging, ConfigurationModuleOCSP, ConfigurationModuleProperties, ConfigurationModuleProxy, ConfigurationModuleRegisterTransformers, ConfigurationModuleSecurityProvider, ConfigurationModuleServiceLoader, ConfigurationModuleSSL, ConfigurationModuleSSLVerifier, ConfigurationModuleSysOut, ConfigurationModuleSystemProps, ConfigurationModuleTrustStore, ConfigurationModuleVersion, ConfigurationModuleWindows10, ConfigurationModuleXmlSec

      public interface ConfigurationModule

  Interface of a ConfigurationModule.

  Every configuration module must have a default constructor. The module will be instantiated by using this constructor. The method init will initialise the configuration module.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

- - ### Method Detail

    - #### init

          void init(Configuration config)
             throws TechnicalConnectorException

      Method that initialise the configuration module.
      Parameters:
        `config` -
      Throws:
        `TechnicalConnectorException`

    - #### unload

          void unload()
               throws TechnicalConnectorException

      Method that restores the configuration module and reset the system to the initial situation.
      Throws:
        `TechnicalConnectorException`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.